<?php
/**
 * The slider carousel area
 *
 * @link http://flickity.metafizzy.co/
 *
 * @package Redux
 */

$footerCarousel = esc_attr( redux_options('footer_carousel') );
$footerCarouselSlides = esc_attr( redux_options('footer_carousel_slides', '18') );
$footerCarouselCat = esc_attr( redux_options('footer_carousel_categories') );
$footerCarouselTag = esc_attr( redux_options('footer_carousel_tags') );
$footerCarouselLocations = redux_options('footer_carousel_locations');

if ( $footerCarouselLocations ) {
	$all_numeric = true;
	foreach ($footerCarouselLocations as $key) { 
	    if (!(is_numeric($key))) {
	        $all_numeric = false;
	        break;
	    } 
	}
	
	if ($all_numeric) {
	    $footerCarouselLocations = $footerCarouselLocations; 
	} 
	else {
	    $footerCarouselLocations = false;
	}
}

if ($footerCarousel != 'on') return;

if ($footerCarouselLocations) {

	if ( in_array('1',$footerCarouselLocations) ) {
		footerCarousel();
	} elseif ( in_array('2',$footerCarouselLocations) && (is_home() || is_front_page() ) ) {
		footerCarousel();
	} elseif ( in_array('3',$footerCarouselLocations) && is_archive() ) {
		footerCarousel();
	} elseif ( in_array('4',$footerCarouselLocations) && is_single() ) {
		footerCarousel();	
	} elseif ( in_array('5',$footerCarouselLocations) && is_page() ) {
		footerCarousel();		
	}
		
}

function footerCarousel() {

	$footerCarouselSlides = esc_attr( redux_options('footer_carousel_slides', '18') );
	$footerCarouselCat = esc_attr( redux_options('footer_carousel_categories') );
	$footerCarouselTag = esc_attr( redux_options('footer_carousel_tags') );

	?>
	
	<?php
		$args = array(
		    'post_type'  => 'post',
		    'meta_key' => '_thumbnail_id',
		    'cat' => $footerCarouselCat,
		    'tag_id' => $footerCarouselTag,
		    'posts_per_page' => $footerCarouselSlides );
		    	    
		$query = new WP_Query($args);
	
		if ( $query->have_posts() ) { // you never checked to see if no posts were found 
		?>
	 	<div class="carousel-viewport footer">
			<div class="carousel">
		
		<?php 	
		    while($query->have_posts()) { // alt style syntax doesn't work with most IDEs
		        $query->the_post(); // individual statement should be on individual line
		        if ( has_post_thumbnail() ) { // only print out the thumbnail if it actually has one
				$image = wp_get_attachment_image_url( get_post_thumbnail_id(), 'redux-carousel');
				$title = get_the_title();
				$excerpt = get_the_excerpt();
				$link = get_permalink();
		            echo '<div class="carousel-cell">';
		            echo '<a href="'. $link . '">';
		            echo '<img class="carousel-image" data-flickity-lazyload="'. $image . '"/>';
		            echo '</a>';
		            echo '<span class="carousel-text" >';
		            echo '<span class="cat-links">';
		            redux_post_categories('','','','');
		            echo '</span>';
		            echo '<a href="'. $link . '">'. $title . '</a>';
		            echo '</span>';
		            echo '</div>';
		        }
		    } ?>
			</div><!-- .carousel -->
	</div><!-- .carousel-viewport -->

	<?php } ?>
			
<?php } ?>
