<?php
/**
 * The slider carousel area
 *
 * @link http://flickity.metafizzy.co/
 *
 * @package Redux
 */

$headerCarousel = esc_attr( redux_options('header_carousel') );
$headerCarouselSlides = esc_attr( redux_options('header_carousel_slides', '18') );
$headerCarouselCat = esc_attr( redux_options('header_carousel_categories') );
$headerCarouselTag = esc_attr( redux_options('header_carousel_tags') );
$headerCarouselLocations = redux_options('header_carousel_locations');

if ( $headerCarouselLocations ) {
	$all_numeric = true;
	foreach ($headerCarouselLocations as $key) { 
	    if (!(is_numeric($key))) {
	        $all_numeric = false;
	        break;
	    } 
	}
	
	if ($all_numeric) {
	    $headerCarouselLocations = $headerCarouselLocations; 
	} 
	else {
	    $headerCarouselLocations = false;
	}
}

if ($headerCarousel != 'on') return;

if ($headerCarouselLocations) {

	if ( in_array('1',$headerCarouselLocations) ) {
		headerCarousel();
	} elseif ( in_array('2',$headerCarouselLocations) && (is_home() || is_front_page() ) ) {
		headerCarousel();
	} elseif ( in_array('3',$headerCarouselLocations) && is_archive() ) {
		headerCarousel();
	} elseif ( in_array('4',$headerCarouselLocations) && is_single() ) {
		headerCarousel();	
	} elseif ( in_array('5',$headerCarouselLocations) && is_page() ) {
		headerCarousel();		
	}
		
}

function headerCarousel() {

	$headerCarouselSlides = esc_attr( redux_options('header_carousel_slides', '18') );
	$headerCarouselCat = esc_attr( redux_options('header_carousel_categories') );
	$headerCarouselTag = esc_attr( redux_options('header_carousel_tags') );

	?>
	
	<?php
		$args = array(
		    'post_type'  => 'post',
		    'meta_key' => '_thumbnail_id',
		    'cat' => $headerCarouselCat,
		    'tag_id' => $headerCarouselTag,
		    'posts_per_page' => $headerCarouselSlides );
		    	    
		$query = new WP_Query($args);
	
		if ( $query->have_posts() ) { // you never checked to see if no posts were found 
		?>
	 	<div class="carousel-viewport">
			<div class="carousel">
		
		<?php 	
		    while($query->have_posts()) { // alt style syntax doesn't work with most IDEs
		        $query->the_post(); // individual statement should be on individual line
		        if ( has_post_thumbnail() ) { // only print out the thumbnail if it actually has one
				$image = wp_get_attachment_image_url( get_post_thumbnail_id(), 'redux-carousel');
				$title = get_the_title();
				$excerpt = get_the_excerpt();
				$link = get_permalink();
		            echo '<div class="carousel-cell">';
		            echo '<a href="'. $link . '">';
		            echo '<img class="carousel-image" data-flickity-lazyload="'. $image . '"/>';
		            echo '</a>';
		            echo '<span class="carousel-text" >';
		            echo '<span class="cat-links">';
		            redux_post_categories('','','','');
		            echo '</span>';
		            echo '<a href="'. $link . '">'. $title . '</a>';
		            echo '</span>';
		            echo '</div>';
		        }
		    } ?>
			</div><!-- .carousel -->
	</div><!-- .carousel-viewport -->

	<?php } ?>
			
<?php } ?>
