<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Redux
 */

$siteColumns = esc_attr( redux_options('site_columns') );
$sidebarLayout = esc_attr( redux_options('site_sidebar') );

$addClass = array();

if ( $siteColumns === 'column-1') {
	$addClass[] = 'no-sidebar';
	$noSidebar = true;
} elseif( $siteColumns === 'column-3' && is_singular() ) {
	$addClass[] = 'no-sidebar';
	$noSidebar = true;
} else {
	$noSidebar = false;
}

if ( $sidebarLayout === '1' && !$noSidebar ) {
	$addClass[] = 'left-sidebar';
}

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class($addClass); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'redux' ); ?></a>

	<header id="masthead" class="site-header" role="banner">

		<div class="wrapper">
		
			<?php get_template_part( 'components/header/site', 'branding' ); ?>
			
			<?php get_template_part( 'components/navigation/navigation', 'top' ); ?>
	
			<?php // redux_social_menu(); ?>

		</div><!-- .wrapper -->

	</header>
	
	<?php get_template_part( 'components/header/header', 'carousel' ); ?>
	
	<?php get_template_part( 'components/header/widget', 'header' ); ?>

	<div id="content" class="site-content">
	<div class="wrapper">
